Skip to main content
Contacts

Update an existing contact

This method requires the Contacts:Update permission to be associated with your role.

PUT
/fm/contacts/{contact_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contact_idstringrequired

Contact Id to update

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON Payload

address1stringdefault:
Example: Level 1
address2stringdefault:
Example: 111 Street name
allocationsobject[]
areastringdefault:
Example:
contact_job_title_idstringdefault:null
Example: 1234567890123456789
contact_type_allocationsstring[]
country_idstringdefault:null
Example: 1234567890123456789
emailstringdefault:
Example: hello@catch-e.com.au
given_namestringdefault:
Example: Abc
mobilestringdefault:

Mobile number must follow e164 format.

Example: +61423456789
notestringdefault:null
Example: Any note in relation to the contact
phonestringdefault:

Phone number must follow e164 format.

Example: +61391234567
postcodestringdefault:
Example: 3173
salutationenum<string>default:null
Available options: Mr, Mrs, Ms, Miss, Mx, Dr, Prof, Rev, Capt
Example: Mrs
state_idstringdefault:null
Example: 100000
status_flagenum<string>default:active
Available options: active, inactive
Example: active
surnamestringdefault:
Example: Def

Response

application/vnd.catch-e-api.v1+json

Success

address1string
Example: Level 1
address2string
Example: 111 Street name
allocationsobject[]
areastring
Example:
contact_idstring
Example: 1234567890123456789
contact_job_title_idstring
Example: 1234567890123456789
contact_type_allocationsobject[]
country_idstring
Example: 12312312312312312312
emailstring
Example: hello@catch-e.com.au
given_namestring
Example: Abc
mobilestring

Mobile number should follow e164 format

Example: +61423456789
notestring
Example: Any note in relation to the contact
phonestring

Phone number should follow e164 format

Example: +61391234567
postcodestring
Example: 3173
salutationenum<string>
Available options: Mr, Mrs, Ms, Miss, Mx, Dr, Prof, Rev, Capt
Example: Mrs
state_idstring
Example: 100000
status_flagenum<string>
Available options: active, inactive
Example: active
surnamestring
Example: Def